import { ElementRef, OnDestroy, EventEmitter } from '@angular/core';
export interface UIScrollEvent {
    scrollLeft: number;
    scrollTop: number;
    srcEvent: WheelEvent;
}
export declare class ScrollComponent implements OnDestroy {
    private elementRef;
    content: ElementRef;
    uiScroll: EventEmitter<UIScrollEvent>;
    set overflowX(v: boolean);
    get overflowX(): boolean;
    set overflowY(v: boolean);
    get overflowY(): boolean;
    set scrollBarMinLength(v: number);
    get scrollBarMinLength(): number;
    set scrollTop(v: number);
    get scrollTop(): number;
    set scrollLeft(v: number);
    get scrollLeft(): number;
    scrollYBarLength: number;
    scrollXBarLength: number;
    get transform(): string;
    topDistance: number;
    leftDistance: number;
    private _scrollBarMinLength;
    private _overflowX;
    private _overflowY;
    private _scrollLeft;
    private _scrollTop;
    private containerWidth;
    private containerHeight;
    private contentWidth;
    private contentHeight;
    private maxScrollHeight;
    private maxScrollWidth;
    private animateId;
    constructor(elementRef: ElementRef);
    windowResize(): void;
    mouseEnter(): void;
    mouseLeave(): void;
    scroll(event: WheelEvent): void;
    update(): void;
    setScrollBar(): void;
    ngOnDestroy(): void;
}
